import { Message } from './Message'

/**
 * 报文打包解包接口
 */
export interface IPackage {
    /**
     * 组包操作
     * @param msg 核心返回数据包
     * @returns 报文数据包
     */
    integrate(msg: Message): Uint8Array;

    /**
     * 解包操作
     * @param msg 核心返回数据包
     * @param data 核心返回数据包
     * @returns 是否解包成功
     */
    analyze(msg: Message, data: Uint8Array): boolean;
}